﻿@model Tuple<List<PortalChartParamView>, List<PortalChartParamsTypeView>, List<PortalChartParamsValueTypeView>>

@for (int i = 0; i < Model.Item1.Count; i++)
{
    string mParamFixedLabel = "ParamFixedLabel" + Model.Item1[i].Id;
    string mParamValueTypeLabel = "ParamValueTypeLabel" + Model.Item1[i].Id;
    string mParamFixedDiv = "ParamFixedDiv" + Model.Item1[i].Id;
    string mParamValueTypeDiv = "ParamValueTypeDiv" + Model.Item1[i].Id;
    <label class="col-md-1 control-label">@Charts.Parameter</label>
    <div class="col-md-2">
        @Html.Hidden("IsNew" + Model.Item1[i].Id, Model.Item1[i].IsNew, new { @class = "form-control", @Id = "IsNew" + Model.Item1[i].Id, @disabled = "disabled" })
        @Html.TextBox("ParamName" + Model.Item1[i].Id, Model.Item1[i].ParamName, new { @class = "form-control", @Id = "ParamName" + Model.Item1[i].Id, @disabled="disabled" })
    </div>
    <label class="col-md-1 control-label">@Charts.ParameterName</label>
    <div class="col-md-2">
        @Html.TextBox("PortalParamName" + Model.Item1[i].Id, Model.Item1[i].ParamNamePortal, new { @class = "form-control", @Id = "PortalParamName" + Model.Item1[i].Id })
    </div>
    <label class="col-md-1 control-label">@Charts.Value</label>
    <div class="col-md-2">
        @Html.DropDownList("ParamValue" + Model.Item1[i].Id, new SelectList(
            Model.Item2,
            "ParamTypeKey",
            "ParamTypeDescTranslated", Model.Item1[i].ParamValue), new { @Id = "ParamValue" + Model.Item1[i].Id, @class = "form-control", @onchange = "ParamValueChange(" + Model.Item1[i].Id + ")" })
    </div>
    <div class="col-md-3">
        <label id="@mParamFixedLabel" class="control-label" style="display: none">@Charts.FixedValue</label>
        <div id="@mParamFixedDiv">
            @Html.TextBox("ParamFixedValue" + Model.Item1[i].Id, "", new { @class = "form-control", @Id = "ParamFixedValue" + Model.Item1[i].Id, @style = (Model.Item1[i].ParamValue == "FixedValue" ? "display: unset" : "display: none") })
        </div>
        <label id="@mParamValueTypeLabel" class="control-label" style="display: none">@Charts.ParamValueType</label>
        <div id="@mParamValueTypeDiv">
            @Html.DropDownList("ParamValueType" + Model.Item1[i].Id, new SelectList(
            Model.Item3,
            "ParamValueTypeKey",
            "ParamValueTypeDesc", Model.Item1[i].ParamValueType), new { @Id = "ParamValueType" + Model.Item1[i].Id, @class = "form-control", @style = (Model.Item1[i].ParamValue == "EnteredByUser" ? "display: unset" : "display: none") })
        </div>
    </div>
    <div class="clear_simple"></div>
}